---
wagl:
  algorithm_information:
    algorithm_version: 2.0
    nbar_doi: http://dx.doi.org/10.1109/JSTARS.2010.2042281
    nbar_terrain_corrected_doi: http://dx.doi.org/10.1016/j.rse.2012.06.018
  ancillary:
    aerosol:
      id:
      - 2c01cbd7-acc2-56f6-b2fa-075eaee4366a
      tier: AATSR_CMP_MONTH
      value: 0.08777909725904465
    brdf:
      alpha_1:
        band_1: 0.36026432554852966
        band_11: 0.2130839307402297
        band_12: 0.05739986266341907
        band_2: 0.36026432554852966
        band_3: 0.5297206680903654
        band_4: 0.20383352688023132
        band_5: 0.20383352688023132
        band_6: 0.20383352688023132
        band_7: 0.3693440122108341
        band_8: 0.3693440122108341
        band_8a: 0.3693440122108341
      alpha_2:
        band_1: 0.15334424426123774
        band_11: 0.15897842874409113
        band_12: 0.1884649871207076
        band_2: 0.15334424426123774
        band_3: 0.14029609099264378
        band_4: 0.1787470884834999
        band_5: 0.1787470884834999
        band_6: 0.1787470884834999
        band_7: 0.14004028984204098
        band_8: 0.14004028984204098
        band_8a: 0.14004028984204098
      id:
      - d3727836-15e5-5b10-9424-0cb31d70c2fd
      tier: DEFINITIVE
    elevation:
      id:
      - 27ca9489-8222-5117-96f6-2af42655c604
      - 8ad73086-72cf-561a-aa0f-1e3c64d53384
    ozone:
      id:
      - 471e3c03-1c60-5329-a764-85d6b1e63c78
      tier: DEFINITIVE
      value: 0.271
    water_vapour:
      id:
      - 1440786b-af4c-5ff3-b5c5-1f14cfd821cc
      tier: DEFINITIVE
      value: 2.510000038146973
  id: da3f2bd7-d399-4691-8de5-c0ab4f5c4714
  parameters:
    buffer_distance: 8000
    esun:
      BAND-1: 2017.0862923579828
      BAND-11: 245.56023217983724
      BAND-12: 83.9859460118191
      BAND-2: 2061.7675292933222
      BAND-3: 1930.5463217506965
      BAND-4: 1576.2912942960181
      BAND-5: 1455.119940751825
      BAND-6: 1327.8013451559416
      BAND-7: 1215.5269745081957
      BAND-8: 1076.5561305530741
      BAND-8A: 981.7344311482997
    method: 2
    normalized_solar_zenith: 45.0
    rori: 0.52
    vertices:
    - 3
    - 3
  source_datasets:
    acquisition_datetime: 2018-12-29 01:54:49.014000Z
    atime: 2022-08-22 02:23:54Z
    ctime: 2018-12-29 05:40:20Z
    mtime: 2018-12-29 05:40:14Z
    owner_id: '12232'
    platform_id: SENTINEL_2A
    sensor_id: MSI
    source_level1: /g/data/fj7/Copernicus/Sentinel-2/MSI/L1C/2018/2018-12/25S120E-30S125E/S2A_MSIL1C_20181229T014651_N0207_R074_T51JXL_20181229T031829.zip
  system_information:
    hostname: gadi-cpu-clx-2444.gadi.nci.org.au
    runtime_id: 78341706-21c1-11ed-a9e1-00000084fe80
    time_processed: 2022-08-22 02:23:54.713731Z
    uname: 'Linux gadi-cpu-clx-2444.gadi.nci.org.au 4.18.0-372.13.1.el8.nci.x86_64
      #1 SMP Mon Jul 4 08:46:44 AEST 2022 x86_64'
gqa:
  colors:
    blue: 560.0
    green: 1837.0
    red: 27.0
    teal: 2497.0
    yellow: 60.0
  error_message: no errors
  final_qa_count: 4128
  granule: S2A_OPER_MSI_L1C_TL_EPAE_20181229T031829_A018375_T51JXL_N02.07
  ref_date: '2013-09-01T00:00:00+00:00'
  ref_source: GQA_v3
  ref_source_path: /g/data/v10/eoancillarydata/GCP/GQA_v3/wrs2/107/078/LC81070782013244LGN00_B6.TIF
  residual:
    abs:
      x: 0.48
      xy: 0.63
      y: 0.41
    abs_iterative_mean:
      x: 0.42
      xy: 0.52
      y: 0.3
    cep90: 0.84
    iterative_mean:
      x: 0.42
      xy: 0.51
      y: -0.29
    iterative_stddev:
      x: 0.2
      xy: 0.3
      y: 0.23
    mean:
      x: 0.42
      xy: 0.54
      y: -0.34
    stddev:
      x: 0.53
      xy: 0.75
      y: 0.54
fmask:
  parameters:
    cloud_buffer_distance_metres: 0.0
    cloud_shadow_buffer_distance_metres: 0.0
    frantz_parallax_sentinel_2: false
  percent_class_distribution:
    clear: 99.9707598846719
    cloud: 0.015829409988686167
    cloud_shadow: 0.012339043334295507
    snow: 4.6449746351206534e-05
    water: 0.0010252122587516299
s2cloudless:
  parameters:
    average_over: 4
    dilation_size: 2
    threshold: 0.4
  percent_class_distribution:
    clear: 99.9847113977724
    cloud: 0.015288602227597122
software_versions:
- name: modtran
  url: http://www.ontar.com/software/productdetails.aspx?item=modtran
  version: 6.0.1
- name: wagl
  url: https://github.com/GeoscienceAustralia/wagl
  version: 5.8.4
- name: eugl
  url: https://github.com/OpenDataCubePipelines/eugl
  version: 0.5.2
- name: gverify
  url:
  version: v0.25c
- name: fmask
  url: https://www.pythonfmask.org/
  version: 0.5.5
- name: s2cloudless
  url: https://github.com/sentinel-hub/sentinel2-cloud-detector
  version: 1.5.0
- name: tesp
  url: https://github.com/OpenDataCubePipelines/tesp
  version: 0.14.1
- name: eodatasets3
  url: https://github.com/GeoscienceAustralia/eo-datasets
  version: 0.27.3
...
